variables:
  GIT_SUBMODULE_STRATEGY: recursive
stages:
  - build

build_project:
  stage: build
  script:
    - ./gradlew --refresh-dependencies assembleRelease
    - curl --user $ARTIFACTORY_USER:$ARTIFACTORY_PASSWORD -T paper-onboarding/build/intermediates/bundles/release/classes.jar -X PUT "https://pkg.streethawk.com/artifactory/pointzi/com/ramotion/paperonboarding/paperonboarding.jar"
  tags:
    - android
